import { UnprocessableEntityException, ForbiddenException } from "./common.exceptions";
export declare class PastExpiryException extends UnprocessableEntityException {
    constructor(msg?: string);
}
export declare class UserAlreadyExistsException extends UnprocessableEntityException {
    constructor(userName?: string);
}
export declare class PendingInvitationException extends UnprocessableEntityException {
    constructor(userName?: string);
}
export declare class EmailMissingException extends UnprocessableEntityException {
    constructor();
}
export declare class InvalidEmailDomainException extends ForbiddenException {
    constructor(message?: string);
}
