import { Base } from "./Base";
import { Roles } from "./Permissions";
type Role = Roles.Owner | Roles.Admin | Roles.Member;
interface UserSpaceRole {
    role: Role;
}
declare class UserRolesService extends Base {
    getUserSpaceRole(spaceName: string, userName: string): Promise<{
        role: Role;
    }>;
    setUserRole(spaceName: string, userName: string, role: Role): Promise<UserSpaceRole>;
}
export { UserRolesService };
