"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClusterNotFoundException = void 0;
const common_exceptions_1 = require("./common.exceptions");
class ClusterNotFoundException extends common_exceptions_1.NotFoundException {
    /**
     * ClusterNotFoundException
     * @param id - Cluster id
     */
    constructor(id) {
        super(`Couldn't find cluster${id ? ` "${id}"` : ""}`);
        Object.setPrototypeOf(this, ClusterNotFoundException.prototype);
    }
}
exports.ClusterNotFoundException = ClusterNotFoundException;
