import { NotFoundException, ConflictException } from "./common.exceptions";
export declare class UserNameNotFoundException extends NotFoundException {
    constructor(userName: string);
}
export declare class UserIdNotFoundException extends NotFoundException {
    constructor(userId: string);
}
export declare class UsernameAlreadyExistsException extends ConflictException {
    constructor();
}
export declare class SubscriptionAlreadyExistsException extends ConflictException {
    constructor(message: string);
}
